<div class="d-flex justify-content-center">
  <div class="col-8">
    <div *ngIf="structure">
      <h2 data-cy="structureDetailsHeading"><span jhiTranslate="gestionPersonnel3App.structure.detail.title">Structure</span></h2>

      <hr />

      <jhi-alert-error></jhi-alert-error>

      <jhi-alert></jhi-alert>

      <dl class="row-md jh-entity-details">
        <dt><span jhiTranslate="global.field.id">ID</span></dt>
        <dd>
          <span>{{ structure.id }}</span>
        </dd>
        <dt><span jhiTranslate="gestionPersonnel3App.structure.type">Type</span></dt>
        <dd>
          <span jhiTranslate="{{ 'gestionPersonnel3App.TypeStructure.' + structure.type }}">{{ structure.type }}</span>
        </dd>
        <dt><span jhiTranslate="gestionPersonnel3App.structure.sigle">Sigle</span></dt>
        <dd>
          <span>{{ structure.sigle }}</span>
        </dd>
        <dt><span jhiTranslate="gestionPersonnel3App.structure.libelle">Libelle</span></dt>
        <dd>
          <span>{{ structure.libelle }}</span>
        </dd>
        <dt><span jhiTranslate="gestionPersonnel3App.structure.parentStructure">Parent Structure</span></dt>
        <dd>
          <div *ngIf="structure.parentStructure">
            <a [routerLink]="['/structure', structure.parentStructure.id, 'view']">{{ structure.parentStructure.id }}</a>
          </div>
        </dd>
      </dl>

      <button type="submit" (click)="previousState()" class="btn btn-info" data-cy="entityDetailsBackButton">
        <fa-icon icon="arrow-left"></fa-icon>&nbsp;<span jhiTranslate="entity.action.back">Retour</span>
      </button>

      <button type="button" [routerLink]="['/structure', structure.id, 'edit']" class="btn btn-primary">
        <fa-icon icon="pencil-alt"></fa-icon>&nbsp;<span jhiTranslate="entity.action.edit">Editer</span>
      </button>
    </div>
  </div>
</div>
